LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04039Bug reports[All Projects] Survey takingpublic2010-01-10 01:122011-08-24 15:17
Reportersterling 
Assigned Tomdekker 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version1.87RC5 
Target VersionFixed in Version1.90+ 
Summary04039: "Exit and Clear Survey" not working
Description  After noticing this problem, I had the system updated to version 1.87 (8227).
  I ran a survey to enter data, went in to "browse responses" and verified that the responses were there. Going in through token management>display tokens I re-entered the survey for the same token, ran the exit and clear function, and saw the page that said my responses had been cleared. I cleared my browser cache, went back in to "browse responses", and the responses were still there. If I retake the survey with the same token, the questions appear with answers.

I will donate to the project if issue is resolved within 48 hrs
LimeSurvey build number OR git commit ID8227
BrowserFirefox
Database & DB-VersionMySQL version 5.1.30
Operating System (Server)CentOS Linux 5.2
Webserver software & versionApache version 2.2.3
PHP VersionPHP Version 5.2.6
Attached Files

- Relationships

-  Notes
(10743)
user372
2010-01-11 00:12

@ Lemeur: what do you think about this issue?
1) I would say, that the button "Exit and Clear Survey" has just an incorrect title/name, when used with tokens, because it's a feature of LimeSurvey, that previous given answers are always available, when a user returns to a survey, where he already entered something.

2) How much work would it be, that this button also clears all previous given answers from database?
User avatar (10744)
mdekker (developer)
2010-01-11 11:20

If it just closes the browser screen it is a useless button, so I would favour having the button open a special action that removes all the answers for the given token (to run only when the answer is incomplete!!).
User avatar (13170)
mdekker (developer)
2010-10-14 12:34

Problem persists, checking learned the sql statement is incorrect so nothing gets deleted.
User avatar (13171)
mdekker (developer)
2010-10-14 12:35

fixed in svn 9240
User avatar (13274)
c_schmitz (administrator)
2010-10-19 21:12

Released in 1.90 plus release.

- Issue History
Date Modified Username Field Change
2010-01-10 01:12 sterling New Issue
2010-01-10 01:12 sterling Status new => assigned
2010-01-10 01:12 sterling Assigned To => user372
2010-01-10 01:12 sterling LimeSurvey build number => 8227
2010-01-10 01:12 sterling Browser => Firefox
2010-01-10 01:12 sterling Database & DB-Version => MySQL version 5.1.30
2010-01-10 01:12 sterling Operating System (Server) => CentOS Linux 5.2
2010-01-10 01:12 sterling Webserver => Apache version 2.2.3
2010-01-10 01:12 sterling PHP Version => PHP Version 5.2.6
2010-01-11 00:12 user372 Note Added: 10743
2010-01-11 00:12 user372 Assigned To user372 => lemeur
2010-01-11 11:20 mdekker Note Added: 10744
2010-02-11 17:36 c_schmitz Assigned To lemeur => c_schmitz
2010-02-12 23:22 c_schmitz Status assigned => resolved
2010-02-12 23:22 c_schmitz Fixed in Version => 1.87+
2010-02-12 23:22 c_schmitz Resolution open => fixed
2010-02-18 18:19 c_schmitz Status resolved => closed
2010-10-14 12:34 mdekker Assigned To c_schmitz => mdekker
2010-10-14 12:34 mdekker Note Added: 13170
2010-10-14 12:34 mdekker Status closed => feedback
2010-10-14 12:34 mdekker Resolution fixed => reopened
2010-10-14 12:35 mdekker Note Added: 13171
2010-10-14 12:35 mdekker Status feedback => resolved
2010-10-14 12:35 mdekker Fixed in Version 1.87+ => 1.90+
2010-10-14 12:35 mdekker Resolution reopened => fixed
2010-10-19 21:12 c_schmitz Note Added: 13274
2010-10-19 21:12 c_schmitz Status resolved => closed
2010-10-25 00:18 c_schmitz Category Survey at Runtime => Survey taking


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker